/* tslint:disable */
/* eslint-disable */
/**
 * e-commerce-service
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.74
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * 
 * @export
 * @interface MassUploadItemResDto
 */
export interface MassUploadItemResDto {
    /**
     * 
     * @type {string}
     * @memberof MassUploadItemResDto
     */
    'id': string;
    /**
     * 
     * @type {string}
     * @memberof MassUploadItemResDto
     */
    'status': MassUploadItemResDtoStatusEnum;
    /**
     * 
     * @type {number}
     * @memberof MassUploadItemResDto
     */
    'priority': number;
    /**
     * 
     * @type {object}
     * @memberof MassUploadItemResDto
     */
    'value': object;
    /**
     * 
     * @type {object}
     * @memberof MassUploadItemResDto
     */
    'reason': object;
}

export const MassUploadItemResDtoStatusEnum = {
    Pending: 'pending',
    Success: 'success',
    Error: 'error'
} as const;

export type MassUploadItemResDtoStatusEnum = typeof MassUploadItemResDtoStatusEnum[keyof typeof MassUploadItemResDtoStatusEnum];


